libmbim-1.24.2

Introduction à libmbim

Le paquet libmbim contient une bibliothèque basée sur GLib pour parler aux modems WWAN et aux appareils qui parlent le protocole Mobile Interface Broadband Model (MBIM).

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

Informations sur le paquet

  • Téléchargement (HTTP) : https://www.freedesktop.org/software/libmbim/libmbim-1.24.2.tar.xz

  • Téléchargement (FTP) :

  • Somme de contrôle MD5 du téléchargement : 6c2b490af87773c8446f37536e7411ac

  • Taille du téléchargement : 500 Ko

  • Estimation de l'espace disque requis : 29 Mo (avec les tests)

  • Estimation du temps de construction : 0.2 SBU (avec les tests)

Dépendances de libmbim

Requises

libgudev-233

Recommandées

Facultatives

GTK-Doc-1.32 et help2man

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/libmbim

Installation de libmbim

Installez libmbim en lançant les commandes suivantes :

./configure --prefix=/usr --disable-static &&
make

Pour tester les résultats lancez : make check.

Maintenant, en tant qu'utilisateur root :

make install

Explication des commandes

--disable-static : Ce paramètre empêche l'installation des versions statiques des bibliothèques.

--enable-gtk-doc : Utilisez ce paramètre si GTK-Doc est installé et si vous souhaitez reconstruire et installer la documentation de l'API.

Contents

Programmes installés: mbimcli et mbim-network
Bibliothèques installées: libmbim-glib.so
Répertoires installés: /usr/include/libmbim-glib et /usr/share/gtk-doc/html/libmbim-glib

Descriptions courtes

mbimcli

est un utilitaire utilisé pour contrôler les appareils MBIM.

mbim-network

est un utilitaire utilisé pour la gestion simplifiée des appareils MBIM.

libmbim-glib.so

contient les fonctions de l'API pour parler aux modems WWAN et aux appareils qui parlent le protocole Mobile Interface Broadband Model (MBIM).

Last updated on 2020-07-11 16:36:30 +0000